Bug 63762 - Installer crashed. Dump information given below
Installer crashed. Dump information given below
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-18 10:42 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-18 10:42:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; UB1800)

Description of problem:
Trying to install Red Hat Linux 7.2 Server on a Dell PIII 450 Mhz machine with 
6.2 GB disk and 64 MB RAM. After creating the partitions the installation fails 
while trying to install the packages (X-windows, DNS Name server)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a Linux bootable floppy 
2.Boot from floppy and install from CD
3.Select Medium security Server installation
4. Select following packages (X-Windows, DNS Server)
5. It creates the partitions and fails when it tries to install packages
	

Actual Results:  Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 497, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in
renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 399, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 434, in doPreInstall
    method.mergeFullHeaders(id.hdList)
  File "/usr/lib/anaconda/image.py", line 26, in mergeFullHeaders
    hdlist.mergeFullHeaders(self.tree + "/RedHat/base/hdlist2")
  File "/usr/lib/anaconda/comps.py", line 161, in mergeFullHeaders
    rpm.mergeHeaderListFromFD(self.hdlist, fd, 1000004)
rpm.error: match tag mismatch

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 84da050>
file: /mnt/source/RedHat/base/hdlist2
fd: 34


Package Group selection status:
Base: 1
Printing Support: 1
Classic X Window System: 1
X Window System: 0
Laptop Support: 0
Spelling: 0
GNOME: 0
KDE: 0
Sound and Multimedia Support: 1
Network Support: 1
Dialup Support: 1
Messaging and Web Tools: 1
Graphics and Image Manipulation: 0
Network Server: 0
News Server: 0
NFS File Server: 0
Windows File Server: 0
Anonymous FTP Server: 0
SQL Database Server: 0
Web Server: 0
Router / Firewall: 0
DNS Name Server: 1
Network Managed Workstation: 0
Authoring and Publishing: 0
Emacs: 0
Utilities: 0
Legacy Application Support: 0
Software Development: 0
Kernel Development: 0
Windows Compatibility / Interoperability: 0
Games and Entertainment: 0
Everything Include: 0
Workstation Common: 0
Server: 1
Everything: 0


Individual package selection status:
4Suite: 1, Canna: 0, Canna-devel: 0, Canna-libs: 0, Distutils: 0,
ElectricFence:
 0, FreeWnn: 0, FreeWnn-common: 0, FreeWnn-devel: 0, FreeWnn-libs: 0,
GConf: 0,
GConf-devel: 0, Gtk-Perl: 0, Guppi: 0, Guppi-devel: 0, ImageMagick: 0,
ImageMagi
ck-c++: 0, ImageMagick-c++-devel: 0, ImageMagick-devel: 0,
ImageMagick-perl: 0,
LPRng: 1, MAKEDEV: 1, Maelstrom: 0, MagicPoint: 0, Mesa: 1, Mesa-demos:
0, Mesa-
devel: 0, MyODBC: 0, MySQL-python: 0, ORBit: 0, ORBit-devel: 0, PyQt: 0,
PyQt-de
vel: 0, PyQt-examples: 0, PyXML: 1, SDL: 0, SDL-devel: 0, SDL_image: 0,
SDL_imag
e-devel: 0, SDL_mixer: 0, SDL_mixer-devel: 0, SDL_net: 0, SDL_net-devel:
0, SysV
init: 1, VFlib2: 1, VFlib2-VFjfm: 0, VFlib2-devel: 1, WindowMaker: 0,
WindowMake
r-libs: 0, Wnn6-SDK: 0, Wnn6-SDK-devel: 0, XFree86: 1,
XFree86-100dpi-fonts: 1,
XFree86-3DLabs: 0, XFree86-75dpi-fonts: 1, XFree86-8514: 0, XFree86-AGX:
0, XFre
e86-FBDev: 0, XFree86-ISO8859-15-100dpi-fonts: 1,
XFree86-ISO8859-15-75dpi-fonts
: 1, XFree86-ISO8859-2-100dpi-fonts: 0, XFree86-ISO8859-2-75dpi-fonts:
0, XFree8
6-ISO8859-7: 0, XFree86-ISO8859-7-100dpi-fonts: 0,
XFree86-ISO8859-7-75dpi-fonts
: 0, XFree86-ISO8859-7-Type1-fonts: 0, XFree86-ISO8859-9-100dpi-fonts:
0, XFree8
6-ISO8859-9-75dpi-fonts: 0, XFree86-KOI8-R: 0,
XFree86-KOI8-R-100dpi-fonts: 0, X
Free86-KOI8-R-75dpi-fonts: 0, XFree86-Mach32: 0, XFree86-Mach64: 0,
XFree86-Mach
8: 0, XFree86-Mono: 0, XFree86-P9000: 0, XFree86-S3: 0, XFree86-S3V: 0,
XFree86-
SVGA: 0, XFree86-VGA16: 0, XFree86-W32: 0, XFree86-Xnest: 0,
XFree86-Xvfb: 0, XF
ree86-compat-libs: 0, XFree86-compat-modules: 0, XFree86-cyrillic-fonts:
0, XFre
e86-devel: 0, XFree86-doc: 0, XFree86-jpfonts: 0, XFree86-libs: 1,
XFree86-tools
: 1, XFree86-twm: 1, XFree86-xdm: 1, XFree86-xf86cfg: 0, XFree86-xfs: 1,
Xaw3d:
1, Xaw3d-devel: 0, Xconfigurator: 1, Xdialog: 0, a2ps: 1, abiword: 0,
adjtimex:
0, alchemist: 1, alchemist-devel: 0, alien: 0, am-utils: 0, amanda: 0, a


Expected Results:  Sucessfull installation

Additional info:
Comment 1 Daniel F 2002-04-18 23:47:58 EDT
I am facing this same problems. Please quickly assigned a solution to this 
problem. I believe most people are having this same problem as well.
Comment 2 Michael Fulbright 2002-04-24 12:50:50 EDT
The dump output appears to be truncated - is there more information in the crash
dump file?
Comment 3 Michael Fulbright 2002-05-23 12:54:48 EDT
Closing due to inactivity - please reopen if you have additional comments to add
to this bug.
Comment 4 Red Hat Bugzilla 2006-02-21 13:48:45 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.